#include<iostream>
using namespace std;

int main(){
	
	int a,b;
	scanf("%d %d",&a,&b);
	
	int x,y;
	scanf("%d %d",&x,&y);
	
	if(y==b && x<a)	printf("prvi");
	
	if(x==a && y<b) printf("drugi");
	
	if(y==b && x==a) printf("nijedan");
	
	if(y<b && x<a) printf("?");
}